Bug 158137 - [UPDATE] net-im/ejabberd: update to 2.1.8
Summary: [UPDATE] net-im/ejabberd: update to 2.1.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ashish SHUKLA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-21 21:20 UTC by R.Mahmatkhanov
Modified: 2011-06-26 10:40 UTC (History)
0 users

See Also:


Attachments
file.diff (9.48 KB, patch)
2011-06-21 21:20 UTC, R.Mahmatkhanov
no flags Details | Diff
vuxml-ejabberd-2.1.8.diff.txt (2.02 KB, text/plain)
2011-06-21 21:50 UTC, R.Mahmatkhanov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description R.Mahmatkhanov 2011-06-21 21:20:14 UTC
- update to 2.1.8
- silence ${FIND} output
- rename patch-src::ejabberdctl.template to patch-src_ejabberdctl.template (portlint warning)

changelogs:
- http://www.process-one.net/en/ejabberd/release_notes/release_note_ejabberd_2.1.7
  2.1.7 also fixes CVE-2011-1753 (DoS attack)
- http://www.process-one.net/en/ejabberd/release_notes/release_note_ejabberd_2.1.8
  2.1.8 fixes issue, introduced in 2.1.7

tinderbuild log (8.2-RELEASE):
http://happy-nation.by.ru/ports/tb/ejabberd-2.1.8.log

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-06-21 21:20:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ashish

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 R.Mahmatkhanov 2011-06-21 21:50:56 UTC
Here is corresponding vuxml entry.
While here fix typo in piwik entry.

-- 
Regards,
Ruslan
Comment 3 Ashish SHUKLA freebsd_committer 2011-06-22 07:35:19 UTC
Hi,

Thanks for the update.

I've scheduled a build on my tinderbox for the update, but it'll take few
hours.

Thanks
-- 
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
freebsd.org!ashish | http://people.freebsd.org/~ashish/

Avoid Success At All Costs !!
Comment 4 R.Mahmatkhanov 2011-06-22 08:30:30 UTC
Hi.

22.06.2011 10:35, Ashish SHUKLA пиÑеÑ:
> Hi,
>
> Thanks for the update.
>
> I've scheduled a build on my tinderbox for the update, but it'll take few
> hours.
>
> Thanks

I've used options WITHOUT_X11, WITHOUT_JAVA, WITHOUT_WX for lang/erlang while 
testing this ejabberd update in my tinderbox to make things faster :).

-- 
Regards,
Ruslan
Comment 5 Ashish SHUKLA freebsd_committer 2011-06-22 08:57:27 UTC
Ruslan Mahmatkhanov writes:
>  Hi.

 
>  22.06.2011 10:35, Ashish SHUKLA пиÑеÑ:
>> Hi,
>> 
>> Thanks for the update.
>> 
>> I've scheduled a build on my tinderbox for the update, but it'll take few
>> hours.
>> 
>> Thanks

 
>  I've used options WITHOUT_X11, WITHOUT_JAVA, WITHOUT_WX for lang/erlang while 
>  testing this ejabberd update in my tinderbox to make things faster :).


It would take few hours, because there are existing port builds running, but
thanks for the tip :).

-- 
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
freebsd.org!ashish | http://people.freebsd.org/~ashish/

Avoid Success At All Costs !!
Comment 6 R.Mahmatkhanov 2011-06-22 09:10:54 UTC
22.06.2011 11:52, Ashish SHUKLA пиÑеÑ:
> Hi Ruslan,
>
> I tried ejabberd 2.1.8. And everything went fine, though I noticed following
> in my ejabberd.log:
>
> before update:
>
> --8<---------------cut here---------------start------------->8---
> I(<0.25063.1>:ejabberd_app:72) : ejabberd 2.1.6 is started in the node ejabberd@localhost
> --8<---------------cut here---------------end--------------->8---
>
> after update :P:
>
> --8<---------------cut here---------------start------------->8---
> I(<0.36.0>:ejabberd_app:72) : ejabberd 2.1.7 is started in the node ejabberd@localhost
> --8<---------------cut here---------------end--------------->8---
>
> after applying attached diff[1]:
>
> --8<---------------cut here---------------start------------->8---
> I(<0.36.0>:ejabberd_app:72) : ejabberd 2.1.8 is started in the node ejabberd@localhost
> --8<---------------cut here---------------end--------------->8---
>
> I guess I should apply that diff. What is your opinion ?
>
> References:
> [1]  http://people.freebsd.org/~ashish/diffs/ejabberd-2.1.8-version.diff
>
> Thanks

I agree, it seems that they were too fast to release
2.1.8 and forget to change version.

-- 
Regards,
Ruslan
Comment 7 R.Mahmatkhanov 2011-06-22 09:11:44 UTC
22.06.2011 11:57, Ashish SHUKLA пиÑеÑ:
> Ruslan Mahmatkhanov writes:
>>   Hi.
>
>>   22.06.2011 10:35, Ashish SHUKLA пиÑеÑ:
>>> Hi,
>>>
>>> Thanks for the update.
>>>
>>> I've scheduled a build on my tinderbox for the update, but it'll take few
>>> hours.
>>>
>>> Thanks
>
>>   I've used options WITHOUT_X11, WITHOUT_JAVA, WITHOUT_WX for lang/erlang while
>>   testing this ejabberd update in my tinderbox to make things faster :).
>
> It would take few hours, because there are existing port builds running, but
> thanks for the tip :).

Ah, ok :)
Sorry for the obvious tip :)

-- 
Regards,
Ruslan
Comment 8 R.Mahmatkhanov 2011-06-24 13:08:32 UTC
Hi, Ashish!

Any news?

22.06.2011 11:57, Ashish SHUKLA пиÑеÑ:
> Ruslan Mahmatkhanov writes:
>>   Hi.
>
>>   22.06.2011 10:35, Ashish SHUKLA пиÑеÑ:
>>> Hi,
>>>
>>> Thanks for the update.
>>>
>>> I've scheduled a build on my tinderbox for the update, but it'll take few
>>> hours.
>>>
>>> Thanks
>
>>   I've used options WITHOUT_X11, WITHOUT_JAVA, WITHOUT_WX for lang/erlang while
>>   testing this ejabberd update in my tinderbox to make things faster :).
>
> It would take few hours, because there are existing port builds running, but
> thanks for the tip :).
>

-- 
Regards,
Ruslan
Comment 9 dfilter service freebsd_committer 2011-06-24 14:47:36 UTC
ashish      2011-06-24 13:46:51 UTC

  FreeBSD ports repository

  Modified files:
    security/vuxml       vuln.xml 
  Log:
  - Document ejabberd vulnerability fixed in 2.1.8
  
  PR:             ports/158137
  Submitted by:   Ruslan Mahamatkhanov <cvs-src@yandex.ru>
  Security:       http://vuxml.org/freebsd/01d3ab7d-9c43-11e0-bc0f-0014a5e3cda6.html
  
  Revision  Changes    Path
  1.2390    +33 -2     ports/security/vuxml/vuln.xml
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 dfilter service freebsd_committer 2011-06-24 14:49:59 UTC
ashish      2011-06-24 13:49:46 UTC

  FreeBSD ports repository

  Modified files:
    net-im/ejabberd      Makefile distinfo pkg-plist 
  Added files:
    net-im/ejabberd/files patch-.._ebin_ejabberd.app 
                          patch-ejabberd.app 
                          patch-src_ejabberdctl.template 
  Removed files:
    net-im/ejabberd/files patch-src::ejabberdctl.template 
  Log:
  - Update to 2.1.8
  - Silence ${FIND} output
  - Rename patch-src::ejabberdctl.template to patch-src_ejabberdctl.template (portlint warning)
  
  PR:             ports/158137
  Submitted by:   Ruslan Mahamatkhanov <cvs-src@yandex.ru>
  Security:       http://vuxml.org/freebsd/01d3ab7d-9c43-11e0-bc0f-0014a5e3cda6.html
  
  Revision  Changes    Path
  1.44      +3 -3      ports/net-im/ejabberd/Makefile
  1.20      +2 -2      ports/net-im/ejabberd/distinfo
  1.1       +14 -0     ports/net-im/ejabberd/files/patch-.._ebin_ejabberd.app (new)
  1.1       +14 -0     ports/net-im/ejabberd/files/patch-ejabberd.app (new)
  1.4       +0 -28     ports/net-im/ejabberd/files/patch-src::ejabberdctl.template (dead)
  1.1       +28 -0     ports/net-im/ejabberd/files/patch-src_ejabberdctl.template (new)
  1.20      +13 -8     ports/net-im/ejabberd/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Ashish SHUKLA freebsd_committer 2011-06-24 14:52:12 UTC
Ruslan Mahmatkhanov writes:
> Hi, Ashish!


> Any news?


I've committed the port. Sorry for the delay on my part.

Thanks
-- 
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
freebsd.org!ashish | http://people.freebsd.org/~ashish/

Avoid Success At All Costs !!
Comment 12 Ashish SHUKLA freebsd_committer 2011-06-24 21:40:07 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 13 R.Mahmatkhanov 2011-06-26 10:35:20 UTC
24.06.2011 17:52, Ashish SHUKLA пиÑеÑ:
> Ruslan Mahmatkhanov writes:
>> Hi, Ashish!
>
>> Any news?
>
> I've committed the port. Sorry for the delay on my part.
>
> Thanks

Thank you a lot!

-- 
Regards,
Ruslan